List payment methods

Retrieve all enabled payment methods. The results of this endpoint are not paginated — unlike most other list endpoints in our API.

For test mode, all pending and enabled payment methods are returned. If no payment methods are requested yet, the most popular payment methods are returned in the test mode. For live mode, only fully enabled payment methods are returned.

Payment methods can be requested and enabled via the Mollie Dashboard, or via the Enable payment method endpoint of the Profiles API.

The list can optionally be filtered using a number of parameters described below.

By default, only payment methods for the Euro currency are returned. If you wish to retrieve payment methods which exclusively support other currencies (e.g. Twint), you need to use the amount parameters.

ℹ️ Note: This endpoint only returns online payment methods. If you wish to retrieve the information about a non-online payment method, you can use the Get payment method endpoint.

Access with

API key

Organization access token with payments.read

OAuth access with payments.read

Query Params
string

Set this parameter to first to only return the enabled methods that can be used for the first payment of a recurring sequence.

Set it to recurring to only return enabled methods that can be used for recurring payments or subscriptions.

Possible values: oneoff first recurring

string

Passing a locale will sort the payment methods in the preferred order for the country, and translate the payment method names in the corresponding language.

amount
object

If supplied, only payment methods that support the amount and currency are returned.

Example: /v2/methods?amount[value]=100.00&amount[currency]=USD

string
deprecated

⚠️ We no longer recommend using the Orders API. Please refer to the Payments API instead.

Indicate if you will use the result for the Create order or the Create payment endpoint.

When passing the value orders, the result will include payment methods that are only available for payments created via the Orders API.

Possible values: payments orders (default: payments)

string

The country taken from your customer's billing address in ISO 3166-1 alpha-2 format. This parameter can be used to check whether your customer is eligible for certain payment methods, for example for Klarna.

Example: /v2/methods?resource=orders&billingCountry=DE

string

A comma-separated list of the wallets you support in your checkout. Wallets often require wallet specific code to check if they are available on the shoppers device, hence the need to indicate your support.

Possible values: applepay googlepay

string

A comma-separated list of the line categories you support in your checkout.

Example: /v2/methods?orderLineCategories=eco,meal

Possible values: eco gift meal sport_culture additional consume

string

The identifier referring to the profile you wish to retrieve the resources for.

Most API credentials are linked to a single profile. In these cases the profileId must not be sent. For organization-level credentials such as OAuth access tokens however, the profileId parameter is required.

string | null
enum

This endpoint allows you to include additional information via the include query string parameter.

Show Details
issuersInclude issuer details such as which iDEAL or gift card issuers are available.
Allowed:
boolean

Most API credentials are specifically created for either live mode or test mode. In those cases the testmode query parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting the testmode query parameter to true.

Test entities cannot be retrieved when the endpoint is set to live mode, and vice versa.

Responses

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/hal+json